	subroutine lu(m, n, lda, nb, info)
	implicit none

*
*     Blocked LU Factorization
*
*  -- NPAC, Syracuse University --
*     Manish Parashar
*     April 1992
*

	integer m, n, lda, nb, info	
	integer ipiv(n)
 	real a(lda,n)
        integer elapsed, mpTimerElapsed
        real max_time, mflops

	a = a
	ipiv = ipiv

	call MatGen(n, a, lda)

             call mpTimerStart() !starts the clock

	call sgetrf(m, n, a, lda, nb, ipiv, info)

             elapsed= mpTimerElapsed()


        max_time = float(elapsed)/10**3  
 	mflops = ((2./3.)*LDA*LDA*LDA)/(1.0e6*max_time)
 	print *,'Result:',lda,nb,max_time,mflops

c	call Chk(n, a, lda, ipiv)

	return
	end


        
	
	
